CREATE TABLE FUNCIONARIO (
ID_FUNCIONARIO INTEGER NOT NULL PRIMARY KEY,
CPF VARCHAR(14) NOT NULL,
NOME VARCHAR(90),
RG VARCHAR(20),
FONE VARCHAR(13),
ENDERECO VARCHAR(100),
BAIRRO VARCHAR(30),
CIDADE VARCHAR(30),
ESTADO VARCHAR(2),
CEP VARCHAR(9),
CTPS VARCHAR(10),
SERIE VARCHAR(10),
SALARIO_BASE DECIMAL(15,2),
INSS DECIMAL(3,2),
EMAIL VARCHAR(50),
NASCIMENTO DATE,
OBSERVACAO VARCHAR(250)
);

CREATE GENERATOR GEN_ID_FUNCIONARIO;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_FUNCIONARIO FOR FUNCIONARIO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_FUNCIONARIO = gen_id(GEN_ID_FUNCIONARIO,1);
END
 ^

COMMIT WORK ^
SET TERM ;^
